TableUtils (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.gui.base.dir
Class TableUtils

    java.lang.Object
      net.sf.jftp.gui.base.dir.TableUtils

    public class TableUtils

extends java.lang.Object

Constructor Summary
`TableUtils()`

Method Summary
`static void` | `calcColumnWidths(javax.swing.JTable table)` Setzt die Breite der TableColumns.
`static void` | `copyTableSelectionsToJList(javax.swing.JList list, javax.swing.JTable listTbl)` Synchronisiert eine JList mit einem JTable.
`static void` | `layoutTable(javax.swing.JList list, javax.swing.JTable listTbl)` F?hrt Updates auf einen beliebigen JTable durch.
`static void` | `layoutTable(javax.swing.JList list, javax.swing.JTable listTbl, java.util.Vector names)` F?hrt Updates auf einen beliebigen JTable durch.
`static javax.swing.JComponent` | `makeTable(javax.swing.JTable table, javax.swing.JComponent cont)` Erzeugt einen Panel mit View und Header eines JTables.
`static void` | `modifyTableHeader(javax.swing.table.JTableHeader head, java.util.Vector columnNames)` Setzt den Header einer JTable
`static void` | `setFixedWidths(javax.swing.JTable table)`
`static void` | `tryToEnableRowSorting(javax.swing.JTable listTbl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableUtils

    public TableUtils()

Method Detail

### calcColumnWidths

    public static void calcColumnWidths(javax.swing.JTable table)

  Setzt die Breite der TableColumns. Quelle: http://www.chka.de/swing/table/cell-sizes.html

  Parameters:
    `table` -

### setFixedWidths

    public static void setFixedWidths(javax.swing.JTable table)

### copyTableSelectionsToJList

    public static void copyTableSelectionsToJList(javax.swing.JList list,
                                                  javax.swing.JTable listTbl)

  Synchronisiert eine JList mit einem JTable. Die Selections werden von dem Table auf die List kopiert.

  Parameters:
    `list` -
    `listTbl` -

### layoutTable

    public static void layoutTable(javax.swing.JList list,
                                   javax.swing.JTable listTbl)

  F?hrt Updates auf einen beliebigen JTable durch. list muss hierzu vom Typ Vector sein.

  Parameters:
    `list` -
    `listTbl` -

### layoutTable

    public static void layoutTable(javax.swing.JList list,
                                   javax.swing.JTable listTbl,
                                   java.util.Vector names)

  F?hrt Updates auf einen beliebigen JTable durch. list muss hierzu vom Typ Vector sein.

### tryToEnableRowSorting

    public static void tryToEnableRowSorting(javax.swing.JTable listTbl)

### modifyTableHeader

    public static void modifyTableHeader(javax.swing.table.JTableHeader head,
                                         java.util.Vector columnNames)

  Setzt den Header einer JTable

  Parameters:
    `head` -
    `columnNames` -

### makeTable

    public static javax.swing.JComponent makeTable(javax.swing.JTable table,
                                                   javax.swing.JComponent cont)

  Erzeugt einen Panel mit View und Header eines JTables.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD